apiVersion: v1
kind: Pod

metadata:
  name: prometheus
  labels:
    app: prometheus

spec:
  containers:
  # https://github.com/prometheus/prometheus/blob/main/Dockerfile
  - name: prometheus
    image: prom/prometheus:latest
    # TODO: Anything needed here? (ENTRYPOINT [ "/bin/prometheus" ])
    # command:
    # - docker-entrypoint.sh
    env:
    - name: PATH
      value: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    - name: TERM
      value: xterm
    ports:
    - name: web
      containerPort: 9090
      hostPort: 9090
      protocol: TCP
    # TODO: Need to mount data so it isn't lost (VOLUME [ "/prometheus" ])
    volumeMounts:
    - mountPath: /etc/prometheus/prometheus.yaml
      name: test-volume
    # TODO: Try removing this
    resources: {}
    # TODO: Double-check the rest
    tty: true
    securityContext:
      allowPrivilegeEscalation: true
      privileged: false
      readOnlyRootFilesystem: false

  volumes:
  - name: test-volume
    hostPath:
      path: /data

status: {}
